package PetshopSpider;

/*
  For create connection with exactly timeout.
  */

import java.io.*;
import java.net.*;

class ConnectionMaker extends Thread {
  ConnectionMaker(Resource rs) {
    resource = rs;
    success = false;
  }

  public void run() {
    Print.debug("CM: Started");
    try {
      uc = resource.getURL().openConnection();
      uc.connect();
      response = uc.getHeaderField(0);
      mime = uc.getContentType();
      in = uc.getInputStream();
      success=true;
    } catch(IOException e) {}
  }

  public URLConnection getURLConnection() {
    return uc;
  }

  public String getContentType() {
    return mime;
  }

  public boolean isSuccess() {
    return success;
  }

  public String getResponse() {
    return response;
  }

  public InputStream getInputStream() {
    return in;
  }

  Resource resource;
  URLConnection uc;
  boolean success;
  String response, mime;
  InputStream in;
}
